Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Extracts text content while maintaining document structure and hierarchy
curl --request POST \
--url https://api.orq.ai/v2/router/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"document": {
"type": "document_url",
"document_url": "<string>",
"document_name": "<string>"
},
"pages": [
123
],
"ocr_settings": {
"include_image_base64": true,
"max_images_to_include": 123,
"image_min_size": 123
}
}
'{
"model": "<string>",
"pages": [
{
"index": 123,
"markdown": "<string>",
"images": [
{
"id": "<string>",
"image_base64": "<string>"
}
],
"dimensions": {
"dpi": 123,
"height": 123,
"width": 123
}
}
],
"usage": {
"type": "pages",
"pages_processed": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
input
ID of the model to use for OCR.
Document to run OCR on. Can be a DocumentURLChunk or ImageURLChunk.
Show child attributes
Specific pages to process. Can be a single number, range, or list. Starts from 0. Null for all pages.
Optional settings for the OCR run
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/router/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"document": {
"type": "document_url",
"document_url": "<string>",
"document_name": "<string>"
},
"pages": [
123
],
"ocr_settings": {
"include_image_base64": true,
"max_images_to_include": 123,
"image_min_size": 123
}
}
'{
"model": "<string>",
"pages": [
{
"index": 123,
"markdown": "<string>",
"images": [
{
"id": "<string>",
"image_base64": "<string>"
}
],
"dimensions": {
"dpi": 123,
"height": 123,
"width": 123
}
}
],
"usage": {
"type": "pages",
"pages_processed": 123
}
}